> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rerank

> AiHubMix ofrece una solución eficiente de reordenamiento compatible con los estándares de OpenAI

## Guía de llamada

<CodeGroup>
  ```py General Rerank theme={null}
  import requests
  import json

  url = "https://aihubmix.com/v1/rerank"

  headers = {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer <AIHUBMIX_API_KEY>' # Replace with the key generated in AiHubMix
  }

  data = {
      "model": "jina-reranker-v3",
      "query": "Organic skincare products for sensitive skin",
      "top_n": 3,
      "documents": [
          "Organic skincare for sensitive skin with aloe vera and chamomile.",
          "New makeup trends focus on bold colors and innovative techniques.",
          "Bio-Hautpflege für empfindliche Haut mit Aloe Vera und Kamille.",
          "Neue Make-up-Trends setzen auf kräftige Farben und innovative Techniken.",
          "Cuidado de la piel orgánico para piel sensible con aloe vera y manzanilla.",
          "Las nuevas tendencias de maquillaje se centran en colores vivos y técnicas innovadoras.",
          "针对敏感肌专门设计的天然有机护肤产品。",
          "新的化妆趋势注重鲜艳的颜色和创新的技巧。",
          "敏感肌のために特別に設計された天然有機スキンケア製品。",
          "新しいメイクのトレンドは鮮やかな色と革新的な技術に焦点を当てています。"
      ],
      "return_documents": False
  }

  response = requests.post(url, headers=headers, data=json.dumps(data))

  print(response.json())
  ```

  ```cURL curl theme={null}
  curl https://aihubmix.com/v1/rerank \\
  -H "Content-Type: application/json" \\
  -H "Authorization: Bearer <AIHUBMIX_API_KEY>" \\
  -d '{
    "model": "jina-reranker-v3",
    "query": "Organic skincare products for sensitive skin",
    "top_n": 3,
    "documents": [
        "Organic skincare for sensitive skin with aloe vera and chamomile.",
        "New makeup trends focus on bold colors and innovative techniques.",
        "Bio-Hautpflege für empfindliche Haut mit Aloe Vera und Kamille.",
        "Neue Make-up-Trends setzen auf kräftige Farben und innovative Techniken.",
        "Cuidado de la piel orgánico para piel sensible con aloe vera y manzanilla.",
        "Las nuevas tendencias de maquillaje se centran en colores vivos y técnicas innovadoras.",
        "针对敏感肌专门设计的天然有机护肤产品。",
        "新的化妆趋势注重鲜艳的颜色和创新的技巧。",
        "敏感肌のために特別に設計された天然有機スキンケア製品。",
        "新しいメイクのトレンドは鮮やかな色と革新的な技術に焦点を当てています。"
      ],
    "return_documents": false
  }'
  ```
</CodeGroup>

## Modelos disponibles

* bce-reranker-base
* gte-rerank-v2
* qwen3-reranker-0.6b
* qwen3-reranker-4b
* qwen3-reranker-8b
* jina-reranker-m0
* jina-colbert-v2
* jina-reranker-v3

***

Última actualización: 2026-06-01
